curl -X POST '/subscription/subscribe' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"tier_id": "tier_pro"
}'
{
"success": true,
"message": "Subscription activated",
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z"
}
}
Subscribe to a pricing tier
curl -X POST '/subscription/subscribe' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"tier_id": "tier_pro"
}'
{
"success": true,
"message": "Subscription activated",
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z"
}
}
Bearer YOUR_ACCESS_TOKENtier_pro, tier_enterprise).curl -X POST '/subscription/subscribe' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"tier_id": "tier_pro"
}'
{
"success": true,
"message": "Subscription activated",
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z"
}
}